import request from '@/common/util/request'

//获取位置
export const location = data => request.get('/store/get_sign_package', data) // 获取经纬度

export const getLocation = data => request.get('/store/get_address_info', data) // 根据经纬度获取位置信息

export const uploadSign = data => request.post('/store/upload_qian_ming_img', data) // 上传签名图片

export const confirmReceipt = data => request.post('/store/sure_receive_order', data) // 确认收货

export const editAds = data => request.post('/store/edit_store_address', data) // 修改店铺地址

export const getAllVideo = data => request.get('/store_goods/get_all_video', data) // 获取视频



/*店铺*/
export const getState = data => request.get('/miniSub/query', data) // 获取状态

export const getServiceInfo = data => request.get('/store/getServiceInfo ', data) // 获取客服信息

export const storeAuth = data => request.post('/store/cert_store', data) // 门店认证


export const getAgree = data => request.post('/store/set_agree', data) // 同意协议

export const getIdCard = data => request.uploadFile('/miniSub/uploadmedia', data) // 二级商户注册认证上传身份证照片

export const secondAuth = data => request.post('/miniSub/apply_wx', data) // 二级商户注册认证


export const uploadCard = data => request.post('/store/upload_cert_img', data) //上传证件图片

export const getStoreInfo = data => request.get('/store/get_store_info', data) // 获取店铺首页信息

export const editName = data => request.post('/store/edit_store_info', data) // 修改店铺名称

export const sendSms = data => request.get('/store/send_sms', data) // 发送验证码

export const checkPhone = data => request.post('/store/check_sms', data) // 验证手机号

export const editPhone = data => request.post('/store/edit_sms', data) // 修改手机号

export const uploadImg = data => request.get('/store/upload_store_img', data) // 上传门店图片

export const shareStore = data => request.post('/store/share_store', data) // 分享店铺



//商品管理
export const getGoodsList = data => request.get('/store_goods/get_goods_list', data) //获取商品列表

export const shareGoods = data => request.get('/store_goods/share_goods', data) //分享商品

export const getSku = data => request.get('/store_goods/get_goods_taps', data) //获取商品sku

export const goodsDetail = data => request.get('/store_goods/get_goods_detail', data) // 获取商品详情

export const setStock = data => request.post('/store_goods/set_store_goods_inventory', data) // 提交库存信息

//地址管理
export const updateAds = data => request.post('/store/update_address', data) //修改用户地址

export const deleteAds = data => request.post('/store/destroy_address', data) //删除用户地址

export const getAllAds = data => request.get('/store/get_all_address', data) //获取所有用户地址

export const getUserPhone = data => request.get('/store/get_user_info', data) //获取用户信息（手机号）

export const setDefault = data => request.post('/store/set_default_address', data) //设为默认地址

export const addAds = data => request.post('/store/add_address', data) //添加用户地址

export const getAds = data => request.get('/store/get_address', data) //获取用户收货地址

export const getExpress = data => request.get('/store/get_express_company', data) //根据物流单号获取物流公司

//订单管理
export const getOrderInfo = data => request.get('/store/get_order_info', data) //获取订单详情

export const orderQuery = data => request.get('/store/get_order_no_info', data) //根据订单号查询订单

export const getOrderList = data => request.get('/store/get_order_list1', data) //获取订单列表

export const replaceOrder = data => request.post('/store/submit_order_info', data) //代下单（确认订单）

export const CheckOrder = data => request.post('/store/CheckOrder', data) //判断是否两月内重复下单


export const setVip = data => request.post('/store/set_vip', data) //升级vip

export const cancelVip = data => request.post('/store/cancel_vip', data) //取消vip

export const getStoreUser = data => request.get('/store_goods/get_store_user', data) //获取用户列表(代下单前选择用户)

export const cancelAuth = data => request.post('/store/auth_order_cancel', data) //商户审核用户取消订单  

export const shareOrder = data => request.post('/store/share_order_info', data) //分享订单

export const cancelOrder = data => request.post('/store/cancel_order', data) //商户取消订单（只取消商户代下单）

export const cancelAudit = data => request.post('/store/auth_order_cancel ', data) //商户审核用户端取消的订单（已付款）

export const addUser = data => request.post('/store/add_user', data) //代下单添加用户

export const getOrigin = data => request.get('/store/get_origin_order_info', data) //  获得可退货数据

export const cancelList = data => request.get('/store_goods/get_cancel_order_list', data) // 获取取消订单列表

export const refundList = data => request.get('/store_goods/get_all_refund_order', data) // 获取退货订单列表

export const refundOrderDetail = data => request.get('/store_goods/get_refund_order_detail', data) // 获取退货订单详情

export const delCancel = data => request.post('/store_goods/delete_origin_order', data) //取消订单列表删除记录

export const editRemark = data => request.post('/store/edit_order_remark', data) //未付款状态下修改备注

export const getOrderNum = data => request.get('/store/get_order_status_num', data) //获取订单列表上角标

export const receiveOrder = data => request.post('/store/agent_sure_receive_order', data) //确认收货

export const getNoSendOrder = data => request.get('/store/get_no_send_order', data) //获取全部待发货订单

export const getNoFinishOrder = data => request.get('/minilogin/getNoFinishOrder', data) //被删除商户待处理订单







//评价
export const getComment = data => request.get('/store/get_comment', data) //获取评价信息

export const replyCommet = data => request.post('/store/add_comment', data) //回复评论

//登录
export const loginTest = data => request.get('/set_login', data) // 登录测试


//客户管理
export const getUserInfo = data => request.get('/store/get_user_data_info', data) // 获取用户管理信息

export const getBuyUser = data => request.get('/store/get_more_buy', data) // 获取更多购买者信息

export const getScanUser = data => request.get('/store/get_more_scan', data) // 获取更多扫码者信息

export const getMoreBuy = data => request.get('/store/get_more_user_info', data) // 获取更多购买者信息

export const getUserOrder = data => request.get('/store/get_user_all_order', data) // 获取用户订单信息

export const completeUser = data => request.post('/store/edit_user', data) // 完善用户信息

export const getUser = data => request.get('/store/get_user', data) // 获取单个用户信息

export const getUserData = data => request.get('/store_goods/get_user_data', data) // 获取客户管理页面数据

export const getUserList = data => request.get('/store_goods/get_user_list', data) // 获取客户列表数据

export const getseeUser = data => request.get('/store_goods/get_see_user_data', data) // 获取浏览客户页面数据

export const getSeeUserList = data => request.get('/store_goods/get_see_user_list', data) // 获取浏览客户列表(把客户类型改成商品信息)
//物流信息
export const getLogsCode = data => request.get('/store/get_express_code', data) // 获取物流公司及CODE码

export const addLogs = data => request.post('/store/add_order_express_no', data) // 添加物流单号信息

export const getLogs = data => request.get('/store/get_order_express', data) // 订单物流查询

export const pickUp = data => request.post('/store/one_self_take', data) // 自提

export const editLog = data => request.post('/store_goods/edit_express', data) // 修改物流信息

//商户认证
export const getBank = data => request.get('/miniSub/get_all_bank', data) // 获取银行信息

export const getBankBranch = data => request.get('/miniSub/get_bank_branch', data) // 获取银行支行信息




//退货
export const getRefund = data => request.get('/store/get_refund_order_detail', data) //获取退货详情

export const refundOrderInfo = data => request.get('/store/get_origin_order_info', data) //获取可退货数据

export const submitRefund = data => request.post('/store/submit_refund_order', data) //申请退货

export const cancelRefund = data => request.get('/store/cancel_refund_order', data) //取消退货申请


//获取争霸赛积分
export const getZbsData = data => request.get('/store_goods/getZbsData', data)
//获取首页争霸赛积分
export const getZbsRank = data => request.get('/store/getZbsRank', data)


//地址识别
export const discernAdress = data => request.get('/discernAdress', data) // 地址识别
